gnome-vfs-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object File Types; functions for getting information about files based on their MIME type. To be added
- Constructor
  2.24.0.0
  a
  Construct a new MimeType for this .
  To be added
- Constructor
  2.24.0.0
  representation of the mime type.
  Construct a new MimeType for the specified mime type.
  To be added
- Constructor
  2.24.0.0
  a array containing the first part of a file.
  the size of the buffer.
  Tries to guess the mime type of the data in the buffer using the magic patterns.
  To be added
- Property
  2.24.0.0
  System.Boolean Indicates whether files of this mime type might conceivably be executable. Default for known types is false. Default for unknown types is true. a To be added
- Property
  2.24.0.0
  Gnome.Vfs.MimeAction Query the mime database for default associated with a particular mime type. a To be added
- Property
  2.24.0.0
  Gnome.Vfs.MimeActionType Query the mime database for the to be performed on a particular mime type by default. a To be added
- Property
  2.24.0.0
  System.String Query the mime database for a description of the specified mime type. a To be added
- Method
  2.24.0.0
  System.String `` representation of the . Shortcut for determining the mime type of a file. Use this if you just want to know what mime type a file has and do not want to create a new instance of MimeType. representation of the mime type. To be added
- Property
  2.24.0.0
  System.String Query the mime database for an icon representing the specified mime type. The filename of the icon as listed in the mime database. This is usually a filename without path information, e.g. "i-chardev.png", and sometimes does not have an extension, e.g. "i-regular" if the icon is supposed to be image type agnostic between icon themes. Icons are generic, and not theme specific. These will not necessarily match with the icons a user sees in Nautilus, you have been warned. This property is deprecated. You should use to lookup icons.
- Property
  2.24.0.0
  System.String The name of the mime type. This is the same as what the method returns. a To be added
- Method
  2.24.0.0
  System.String To be added. To be added. To be added.
- Field
  2.24.0.0
  System.String The value returned for the mime type when a file did not match any entries in the mime database. May be treated as a file of an unknown type. To be added